export default {
    install(Vue, options) {
		Vue.prototype.host = "https://wx.weibaoge.cn/web/index.php?_mall_id=1285"
        // Vue.prototype.host2 = "http://192.168.0.110:8200"
         Vue.prototype.host2 = "https://mallApi.oytour.com"	
		 // Vue.prototype.host2 = "http://192.168.2.16:8088"	
		 		// Vue.prototype.host2 = "http://192.168.2.65"
				Vue.prototype.request = function(param, success, failed) {
				    //网络请求
				    uni.request({
				        url: this.host + "&r=" + param.data.r,
				        method: param.method || "GET",
				        header: param.header || {
				            'content-type': "application/json"
				        },
				        data: param.data,
				        success: res => {
				            if (res.data.code != 0 && res.data.msg != "商品未上架") {
				
				            }
				            typeof success == "function" && success(res.data);
				        },
				        fail: (e) => {
				            console.log("网络请求fail:" + JSON.stringify(e));
				            uni.showModal({
				                content: "" + res.errMsg
				            });
				            typeof failed == "function" && failed(res.data);
				        }
				    });
				}
        Vue.prototype.request2 = function(param, success, failed) {
            //网络请求
            uni.request({
                url: this.host2 + param.url,
                method: param.method || "Post",
                header: param.header || {
                    'content-type': "application/json"
                },
                data: {
                    MallBaseId: 1,
                    TenantId: 1,
                    OpenId: this.GetOpenId().OpenId,
                    UserId: this.GetOpenId().UserId,
                    MiniAppId: this.GetMiniAppId(),
                    msg: param.data,
                    token: this.GetOpenId().token
                },
                success: res => {
                    if (res.data.resultCode != 1) {
							uni.showToast({
								title: res.data.message,
								icon: "none",
							});
                    } else {
                        typeof success == "function" && success(res.data);
                    }
                },
                fail: (e) => {
                    console.log("网络请求fail:" + JSON.stringify(e));
                    uni.showModal({
                        content: "" + res.errMsg
                    });
                    typeof failed == "function" && failed(res.data);
                }
            });
        }

        // 获取小程序APPID
        Vue.prototype.GetMiniAppId = function() {
                return 'wxacd9f8cc3480d29e'
            }
            //获取OpenId
        Vue.prototype.GetOpenId = function() {
                let mall_userinfo = wx.getStorageSync('mall_UserInfo')
                var obj = {
                    OpenId: '',
                    UserId: 0,
                    token: ''
                }
                if (mall_userinfo) {
                    if (mall_userinfo.OpenId) {
                        obj.OpenId = mall_userinfo.OpenId;
                        obj.UserId = mall_userinfo.UserId;
                        obj.token = mall_userinfo.Token;
                    }
                }
                return obj
            }
            //公用判断图片地址 判断是否包含http
        Vue.prototype.getIconLink = function(url) {
                let str = ''
                if (url && url != '') {
                    if (url.indexOf('http') != -1) {
                        str = url
                    } else {
                        str = 'https://viitto-1301420277.cos.ap-chengdu.myqcloud.com' + url;
                    }
                    return str;
                }
            }
            //价格返回.00
        Vue.prototype.getPrice = function(val) {
            val = Number(val).toFixed(2);
            return val
        }

        Vue.prototype.apiheader = function() {
            return {
                'X-Access-Token': '_4Y_WpUZ4a6SI5uJgsZ4Lb7t9mvqJTyr',
                'X-App-Platform': 'wxapp',
                'X-App-Version': '4.2.47',
                'X-Form-Id-List': '[]',
                'X-Requested-With': 'XMLHttpRequest',
                'X-User-Id': '19992',
                'content-type': "application/json"
            }
        }
    }
}